/* null_scheduler.h                                            -*- C++ -*-
 * Null scheduler---doesn't schedule anything, but useful for RMA-only.
 *
 * This file is part of the RMA Templates project.  For additional
 * information and build instructions, please see the README file in
 * the top-level source directory.
 *
 * Copyright (c) 2003, MORGAN DETERS, CHRISTOPHER GILL, and RON CYTRON
 * All rights reserved.
 *
 * This software is open-source software and may be redistributed and
 * modified under the terms of an amended BSD License.  For the terms
 * of the license, see the file COPYING in the top-level directory.
 * If this file is missing for some reason, please obtain the latest
 * release of these sources from:
 *   http://www.cs.wustl.edu/~mdeters/projects/middleware/#rma_templates
 */

#include <loki/NullType.h>
#include <loki/Typelist.h>
#include <loki/static_check.h>

namespace RMA {
  template <class TaskSet, unsigned lcm>
  struct Null_Scheduler {
    static void schedule(void) {
      // null scheduler can't schedule
      STATIC_CHECK(false, Null_Scheduler_Cannot_Schedule);
    }
  };
}
